package util;

import cc.ComputerCraft;
import kernel.Log;
#if webconsole
import cc.HTTP;
import kernel.net.Net;
#end

class Debug {
	public static function printBuildInfo() {
		Log.debug("Commit: " + BuildInfo.getGitCommitHash());

		var time:Date = Date.fromTime(BuildInfo.buildTime());

		Log.debug("Build time: " + time.toString());

		Log.debug("CC/MC version:" + ComputerCraft._HOST);
	}

	#if webconsole
	public static function printWeb(msg:String) {
		HTTP.request("http://127.0.0.1:8080/"+Net.instance.networkID,msg);
	}
	#end
}
